Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.util.ant
Class DependencyAnalyzer.Group

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.objectweb.util.ant.DependencyAnalyzer.Group

All Implemented Interfaces:
  org.apache.tools.ant.types.selectors.SelectorContainer

Enclosing class:
  DependencyAnalyzer

public class DependencyAnalyzer.Group
extends org.apache.tools.ant.taskdefs.MatchingTask

Field Summary
`java.util.Map` | `dependencies` Map>>
`java.lang.String` | `name`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DependencyAnalyzer.Group()`

Method Summary
`java.util.Collection` | `getSelectedFiles()`
`void` | `setDir(java.io.File d)`
`void` | `setFilter(java.lang.String filterClass)`
`void` | `setName(java.lang.String n)`
`void` | `toString(java.lang.StringBuffer sb, java.lang.String t0)`
`void` | `toXml(org.w3c.dom.Document doc, org.w3c.dom.Element parent)`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### dependencies

    public java.util.Map dependencies

  Map>>

Constructor Detail

### DependencyAnalyzer.Group

    public DependencyAnalyzer.Group()

Method Detail

### setName

    public void setName(java.lang.String n)

### setFilter

    public void setFilter(java.lang.String filterClass)

### setDir

    public void setDir(java.io.File d)

### getSelectedFiles

    public java.util.Collection getSelectedFiles()

### toString

    public void toString(java.lang.StringBuffer sb,
                         java.lang.String t0)

### toXml

    public void toXml(org.w3c.dom.Document doc,
                      org.w3c.dom.Element parent)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD